Bug 117517 - OpenGL font rendering on Windows 10 regression
Summary: OpenGL font rendering on Windows 10 regression
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.2.0
Keywords: bibisected, regression
Depends on:
Blocks: Font-Rendering VCL-OpenGL
  Show dependency treegraph
 
Reported: 2018-05-09 02:53 UTC by V Stuart Foote
Modified: 2018-07-10 12:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
LO Start Center with OpenGL enabled (42.29 KB, image/png)
2018-05-09 02:57 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2018-05-09 02:53:59 UTC
OpenGL font rendering took a nose dive...

On Windows 10 Pro 64-bit en-US with nVidia GTX 750ti GPU
Version: 6.1.0.0.alpha1+ (x64)
Build ID: 4c5b4752786ae2c174cd8fa8aa42b27a0994f34a
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-08_23:43:34
Locale: en-US (en_US); Calc: group
Comment 1 V Stuart Foote 2018-05-09 02:57:32 UTC
Created attachment 141992 [details]
LO Start Center with OpenGL enabled

With Default rendering no issues. With OpenGL rendering, big chunks of text across the UI are not rendered readable...
Comment 2 V Stuart Foote 2018-05-09 03:09:25 UTC
salfont.cxx and winlayout.cxx were both just poked in these...

https://gerrit.libreoffice.org/#/c/47408/
https://gerrit.libreoffice.org/#/c/47279/
Comment 3 m.a.riosv 2018-05-09 08:01:07 UTC
Repro
Version: 6.1.0.0.alpha1+
Build ID: ecf50fe71596c3edba8ce437481ab80ae1cd8935
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-07_23:52:08
Locale: en-US (es_ES); Calc: group
Comment 4 m.a.riosv 2018-05-09 08:01:59 UTC
DriverVersion: 21.20.16.4550
DriverDate: 11-11-2016
DeviceID: PCI\VEN_8086&DEV_5916&SUBSYS_380117AA&REV_02
AdapterVendorID: 0x8086
AdapterDeviceID: 0x5916
AdapterSubsysID: 0x380117aa
DeviceKey: System\CurrentControlSet\Control\Video\{8CD6695F-B514-11E7-B258-B5AD865BD680}\0000
DeviceString: Intel(R) HD Graphics 620
Comment 5 m.a.riosv 2018-05-09 08:03:08 UTC
Regression it works for me:
Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: es-ES (es_ES); Calc: group
Comment 7 Khaled Hosny (inactive) 2018-05-09 22:18:40 UTC
https://gerrit.libreoffice.org/#/c/54046/
Comment 8 Commit Notification 2018-05-10 01:45:24 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5f8a296fcfc08f8ac441cb8300a7565caa50b53

tdf#117517: Fix OpenGL text rendering on Windows

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 V Stuart Foote 2018-05-10 04:07:51 UTC
@Khaled, *

OpenGL rendering font selection restored on Windows 10 Pro 64-bit en-US with nVidia GTX 750ti (driver 23.21.13.9135)

Version: 6.1.0.0.alpha1+ (x64)
Build ID: c5f8a296fcfc08f8ac441cb8300a7565caa50b53
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-10_01:41:43
Locale: en-US (en_US); Calc: group

https://gerrit.libreoffice.org/gitweb?p=core.git&a=log&h=c5f8a296fcfc08f8ac441cb8300a7565caa50b53

Handling of OpenSymbol font seems a little off (in both OpenGL and Default GDI rendering) in the sm Formula editor. As initially composed the different nodes seem misplaced or wrong size--but a zoom in/out seems to clear things. Like composing the nodes gets wrong metric to start.

Other than that no I noted no other text glitches during a quick run through the UI and documents in each module. 

Looks good, thanks!

=> FIXED
Comment 10 Commit Notification 2018-07-10 12:26:52 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca4e75d694a5fb41a1c800146319aa6ba34d8bab

Revert "tdf#117517: Fix OpenGL text rendering on Windows"

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.